stl_queue.h File Reference

Go to the source code of this file.

## Classes

class | std::priority_queue< _Tp, _Sequence, _Compare >
class | std::queue< _Tp, _Sequence >

## Namespaces

namespace | std

## Functions

template<typename _Tp , typename _Seq >
bool | std::operator!= (const queue< _Tp, _Seq > &__x, const queue< _Tp, _Seq > &__y)
template<typename _Tp , typename _Seq >
bool | std::operator< (const queue< _Tp, _Seq > &__x, const queue< _Tp, _Seq > &__y)
template<typename _Tp , typename _Seq >
bool | std::operator<= (const queue< _Tp, _Seq > &__x, const queue< _Tp, _Seq > &__y)
template<typename _Tp , typename _Seq >
bool | std::operator== (const queue< _Tp, _Seq > &__x, const queue< _Tp, _Seq > &__y)
template<typename _Tp , typename _Seq >
bool | std::operator> (const queue< _Tp, _Seq > &__x, const queue< _Tp, _Seq > &__y)
template<typename _Tp , typename _Seq >
bool | std::operator>= (const queue< _Tp, _Seq > &__x, const queue< _Tp, _Seq > &__y)
template<typename _Tp , typename _Seq >
void | std::swap (queue< _Tp, _Seq > &__x, queue< _Tp, _Seq > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Tp , typename _Sequence , typename _Compare >
void | std::swap (priority_queue< _Tp, _Sequence, _Compare > &__x, priority_queue< _Tp, _Sequence, _Compare > &__y) noexcept(noexcept(__x.swap(__y)))

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <queue>.

Definition in file stl_queue.h.